<template>
  <lazy-theme-desktop-peru-wallet v-if="theme.includes('/peru')" />
  <lazy-theme-common-mobile-wallet-m-info-2
    v-else-if="!isDesktop && theme === 'mobile/main'"
  />
  <lazy-theme-common-mobile-wallet-m-info-2
    v-else-if="!isDesktop && theme === 'mobile/playful'"
  />
  <lazy-theme-common-mobile-wallet-m-info-2
    v-else-if="!isDesktop && theme === 'mobile/global'"
  />
  <lazy-theme-common-mobile-wallet-m-info
    v-else-if="!isDesktop && theme !== 'mobile/peru'"
  />
  <lazy-theme-common-desktop-wallet-info
    v-else-if="isDesktop && theme !== 'desktop/peru'"
  />
</template>

<script lang="ts" setup>
const { isDesktop } = useDevice();
defineProps({
  theme: {
    type: String,
    default: "",
  },
});
</script>
